NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::Features::ConnectLatticesBuilder Class Reference

Represents a Features::ConnectLattices builder
To create a new instance of this class, use NXOpen::Features::LatticeFeatureCollection::CreateConnectLatticesBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ConnectLatticesBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  OriginalBodyOptions { OriginalBodyOptionsKeep, OriginalBodyOptionsHide, OriginalBodyOptionsDelete }
 These represent the options for handling the input bodies. More...
 
enum  RodsizeOptions { RodsizeOptionsVariable, RodsizeOptionsFixed }
 These represent the options for defining rod diameters. More...
 

Public Member Functions

NXOpen::ScCollectorLattice1 ()
 Returns the lattice 1 which will be connected with lattice 2
Created in NX1847.0.0. More...
 
NXOpen::ScCollectorLattice2 ()
 Returns the lattice 2 which will be connected with lattice 1
Created in NX1847.0.0. More...
 
double MaxCheckingDistance ()
 Returns the max checking distance which is used to find the near vertices for connection
Created in NX1847.0.0. More...
 
NXOpen::Features::ConnectLatticesBuilder::OriginalBodyOptions OriginalBodyOption ()
 Returns the option for handling the input facet bodies
Created in NX1847.0.0. More...
 
NXOpen::ExpressionRodDiameter ()
 Returns the rod diameter
Created in NX1847.0.0. More...
 
NXOpen::Features::ConnectLatticesBuilder::RodsizeOptions RodSizeOption ()
 Returns the option to define rod size
Created in NX1847.0.0. More...
 
int RodsPerVertex ()
 Returns the number of rods per vertex created by connecting. More...
 
void SetMaxCheckingDistance (double distance)
 Sets the max checking distance which is used to find the near vertices for connection
Created in NX1847.0.0. More...
 
void SetOriginalBodyOption (NXOpen::Features::ConnectLatticesBuilder::OriginalBodyOptions originalBodyOption)
 Sets the option for handling the input facet bodies
Created in NX1847.0.0. More...
 
void SetRodSizeOption (NXOpen::Features::ConnectLatticesBuilder::RodsizeOptions rodSizeOption)
 Sets the option to define rod size
Created in NX1847.0.0. More...
 
void SetRodsPerVertex (int numRods)
 Sets the number of rods per vertex created by connecting. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::ConnectLattices builder
To create a new instance of this class, use NXOpen::Features::LatticeFeatureCollection::CreateConnectLatticesBuilder
Default values.

Property Value

MaxCheckingDistance

10 (millimeters part), 0.4 (inches part)

OriginalBodyOption

Delete

RodDiameter.Value

1 (millimeters part), 0.04 (inches part)

RodSizeOption

Variable

RodsPerVertex

1


Created in NX1847.0.0.

Member Enumeration Documentation

These represent the options for handling the input bodies.

Enumerator
OriginalBodyOptionsKeep 

Keep Bodies.

OriginalBodyOptionsHide 

Hide Bodies.

OriginalBodyOptionsDelete 

Delete Bodies.

These represent the options for defining rod diameters.

Enumerator
RodsizeOptionsVariable 

Variable.

RodsizeOptionsFixed 

Fixed.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::ConnectLatticesBuilder::Lattice1 ( )

Returns the lattice 1 which will be connected with lattice 2
Created in NX1847.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ConnectLatticesBuilder::Lattice2 ( )

Returns the lattice 2 which will be connected with lattice 1
Created in NX1847.0.0.



License requirements : None

double NXOpen::Features::ConnectLatticesBuilder::MaxCheckingDistance ( )

Returns the max checking distance which is used to find the near vertices for connection
Created in NX1847.0.0.



License requirements : None

NXOpen::Features::ConnectLatticesBuilder::OriginalBodyOptions NXOpen::Features::ConnectLatticesBuilder::OriginalBodyOption ( )

Returns the option for handling the input facet bodies
Created in NX1847.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ConnectLatticesBuilder::RodDiameter ( )

Returns the rod diameter
Created in NX1847.0.0.



License requirements : None

NXOpen::Features::ConnectLatticesBuilder::RodsizeOptions NXOpen::Features::ConnectLatticesBuilder::RodSizeOption ( )

Returns the option to define rod size
Created in NX1847.0.0.



License requirements : None

int NXOpen::Features::ConnectLatticesBuilder::RodsPerVertex ( )

Returns the number of rods per vertex created by connecting.


Created in NX1847.0.0.

License requirements : None

void NXOpen::Features::ConnectLatticesBuilder::SetMaxCheckingDistance ( double  distance)

Sets the max checking distance which is used to find the near vertices for connection
Created in NX1847.0.0.



License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
distancedistance
void NXOpen::Features::ConnectLatticesBuilder::SetOriginalBodyOption ( NXOpen::Features::ConnectLatticesBuilder::OriginalBodyOptions  originalBodyOption)

Sets the option for handling the input facet bodies
Created in NX1847.0.0.



License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
originalBodyOptionoriginalbodyoption
void NXOpen::Features::ConnectLatticesBuilder::SetRodSizeOption ( NXOpen::Features::ConnectLatticesBuilder::RodsizeOptions  rodSizeOption)

Sets the option to define rod size
Created in NX1847.0.0.



License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
rodSizeOptionrodsizeoption
void NXOpen::Features::ConnectLatticesBuilder::SetRodsPerVertex ( int  numRods)

Sets the number of rods per vertex created by connecting.


Created in NX1847.0.0.

License requirements : nx_lattice_base (" NX Lattice Base")

Parameters
numRodsnumrods

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.